Kerbal Space Program - Bug #22984

Can't spawn an asteroid orbiting the sun
06/23/2019 11:51 AM - arctangent

Status: Resolved Start date: 06/23/2019
Severity: Low % Done: 100%
Assignee:

Category: Plugins/Add-Ons

Target version: 1.12.0

Version: 1.7.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Making History

Description

Create a new mission in the Mission Builder. Remove the default Spawn Vessel node and add a Spawn Asteroid node. Set the
Celestial Body to The Sun, and increase the SMA to, say, 30000000000. Save and test the mission.

The spawned asteroid immediately crashes into the surface of the Sun.

History

#1 - 06/23/2019 12:07 PM - arctangent

Returning to the Mission Builder after testing, the SMA has reset itself to 750000, and opening the mission from the Bug.zip | attached shows the
same thing. But if you look in the persistent.mission directly you can see it is indeed 30000000000.

#2 - 06/24/2019 07:21 AM - diomedea

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

#4 - 07/03/2020 04:05 PM - arctangent

This seems to be fixed in 1.10.0, thanks! One minor quirk remains: if you save and reload the mission, the SMA slider is still moved all the way over to
the left - but the numeric value is correct, and the slider moves back to the correct position if you adjust one of the other sliders.

#5 - 06/24/2021 10:43 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.12.0

- % Done changed from 10 to 80

#6 - 08/11/2021 02:35 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Aside the mentioned quirk, this bug should now be resolved. Please continue to report further Mission Editor bugs!

Files

Bug.zip 546 KB 06/23/2019 arctangent
